{
  "name": "cpe-ctfd-frontend",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@craco/craco": "^6.4.3",
    "@fortawesome/free-solid-svg-icons": "^6.0.0",
    "@headlessui/react": "^1.6.2",
    "@heroicons/react": "^1.0.6",
    "@testing-library/jest-dom": "^5.14.1",
    "@testing-library/react": "^12.0.0",
    "@testing-library/user-event": "^13.2.1",
    "@types/jest": "^27.4.0",
    "@types/node": "12.0.0",
    "@types/react": "17.0.41",
    "@types/react-dom": "17.0.0",
    "@types/react-outside-click-handler": "^1.3.1",
    "@urql/exchange-auth": "^0.1.7",
    "axios": "^0.27.2",
    "d3": "^7.3.0",
    "formik": "^2.2.9",
    "graphql": "^16.3.0",
    "js-cookie": "^3.0.1",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-icons": "^4.3.1",
    "react-outside-click-handler": "^1.3.0",
    "react-router-dom": "^6.2.1",
    "react-scripts": "5.0.0",
    "react-select": "^5.3.1",
    "react-select-country-list": "^2.2.3",
    "react-svg-radar-chart": "^1.4.0",
    "react-table": "^7.7.0",
    "reactjs-navbar": "^1.0.2",
    "recoil": "^0.6.1",
    "tw-elements": "^1.0.0-alpha12",
    "twin.macro": "^2.8.2",
    "typescript": "^4.5.5",
    "urql": "^2.1.3",
    "web-vitals": "^2.1.0",
    "yup": "^0.32.11"
  },
  "devDependencies": {
    "@types/minio": "^7.0.13",
    "@types/styled-components": "^5.1.17",
    "autoprefixer": "^10.4.2",
    "postcss": "^8.4.6",
    "prettier": "^2.5.1",
    "prettier-plugin-tailwindcss": "^0.1.8",
    "tailwindcss": "^3.0.22"
  },
  "resolutions": {
    "@types/react": "17.0.41",
    "@types/react-dom": "17.0.0"
  },
  "scripts": {
    "start": "craco start",
    "build": "craco build",
    "test": "craco test",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
